summaryrefslogtreecommitdiffstats
path: root/seaudit/seaudit-report-service.in
diff options
context:
space:
mode:
Diffstat (limited to 'seaudit/seaudit-report-service.in')
-rw-r--r--seaudit/seaudit-report-service.in24
1 files changed, 24 insertions, 0 deletions
diff --git a/seaudit/seaudit-report-service.in b/seaudit/seaudit-report-service.in
new file mode 100644
index 0000000..d923589
--- /dev/null
+++ b/seaudit/seaudit-report-service.in
@@ -0,0 +1,24 @@
+#!/bin/sh
+# shell script to run seaudit-report on STDIN
+#
+
+SEAUDITREPORT=@bindir@
+OPTS="--stdin --malformed"
+
+echo "Date Range: $LOGWATCH_DATE_RANGE"
+echo "Detail Level: $LOGWATCH_DETAIL_LEVEL"
+echo "Temp Dir: $LOGWATCH_TEMP_DIR"
+echo "Debug Level: $LOGWATCH_DEBUG"
+
+# execute the program with the specified options
+${SEAUDITREPORT} ${OPTS}
+
+# program failed
+if [ $? -ne 0 ]; then
+ RC=$?
+ echo >&2 "Failed while executing seaudit-report.\n"
+ exit $RC
+fi
+
+# All done, exit ok
+exit 0